com.io7m.jcanephora.renderstate

## Class JCGLColorBufferMaskingState

- java.lang.Object
- - com.io7m.jcanephora.renderstate.JCGLColorBufferMaskingState

- All Implemented Interfaces:
    JCGLColorBufferMaskingStateType

      @Generated(value={"Immutables.generator","JCGLColorBufferMaskingStateType"})
      public final class JCGLColorBufferMaskingState
      extends Object
      implements JCGLColorBufferMaskingStateType

  Color buffer masking state.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JCGLColorBufferMaskingState.Builder` Builds instances of type `JCGLColorBufferMaskingState`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCGLColorBufferMaskingState.Builder` | `builder()` Creates a builder for `JCGLColorBufferMaskingState`.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `JCGLColorBufferMaskingState` that have equal attribute values.
    `boolean` | `getAlpha()`
    `boolean` | `getBlue()`
    `boolean` | `getGreen()`
    `boolean` | `getRed()`
    `int` | `hashCode()` Computes a hash code from attributes: `red`, `green`, `blue`, `alpha`.
    `static JCGLColorBufferMaskingState` | `of(boolean red, boolean green, boolean blue, boolean alpha)` Construct a new immutable `JCGLColorBufferMaskingState` instance.
    `String` | `toString()` Prints the immutable value `JCGLColorBufferMaskingState` with attribute values.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getRed

          public boolean getRed()

      Specified by:
        `getRed` in interface `JCGLColorBufferMaskingStateType`
      Returns:
        The mask value for the red component

    - #### getGreen

          public boolean getGreen()

      Specified by:
        `getGreen` in interface `JCGLColorBufferMaskingStateType`
      Returns:
        The mask value for the green component

    - #### getBlue

          public boolean getBlue()

      Specified by:
        `getBlue` in interface `JCGLColorBufferMaskingStateType`
      Returns:
        The mask value for the blue component

    - #### getAlpha

          public boolean getAlpha()

      Specified by:
        `getAlpha` in interface `JCGLColorBufferMaskingStateType`
      Returns:
        The mask value for the alpha component

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `JCGLColorBufferMaskingState` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `red`, `green`, `blue`, `alpha`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `JCGLColorBufferMaskingState` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static JCGLColorBufferMaskingState of(boolean red,
                                                       boolean green,
                                                       boolean blue,
                                                       boolean alpha)

      Construct a new immutable `JCGLColorBufferMaskingState` instance.
      Parameters:
        `red` - The value for the `red` attribute
        `green` - The value for the `green` attribute
        `blue` - The value for the `blue` attribute
        `alpha` - The value for the `alpha` attribute
      Returns:
        An immutable JCGLColorBufferMaskingState instance

    - #### builder

          public static JCGLColorBufferMaskingState.Builder builder()

      Creates a builder for `JCGLColorBufferMaskingState`.
      Returns:
        A new JCGLColorBufferMaskingState builder

Copyright © 2016 <code@io7m.com> http://io7m.com